package org.nakedobjects.nos.store.hibernate.property;

import org.hibernate.property.Getter;
import org.hibernate.property.Setter;
import org.nakedobjects.nos.store.hibernate.HibernateUtil;
import org.nakedobjects.nos.store.hibernate.nof2hbm.SpecificationTestBase;
import org.nakedobjects.nos.store.hibernate.testobjects.TestObject;


public class UserAccessorTest extends SpecificationTestBase {

    public void setUp() {
        super.setUp();
        system.addConfiguration(HibernateUtil.PROPERTY_PREFIX + "auto", "true");
        system.addConfiguration(HibernateUtil.PROPERTY_PREFIX + "classes", TestObject.class.getName());

        HibernateUtil.initialiseSessionFactory();
    }

    public void tearDown() {
        // HibernateUtil.shutdown();
        super.tearDown();
    }

    public void testSetter() {
        UserAccessor accessor = new UserAccessor();
        Setter setter = accessor.getSetter(TestObject.class, PropertyHelper.MODIFIED_BY);
        assertNotNull(setter);
        assertNull("getMethod", setter.getMethod());
        assertNull("getMethodName", setter.getMethodName());
    }

    public void testGetter() {
        UserAccessor accessor = new UserAccessor();
        Getter getter = accessor.getGetter(TestObject.class, PropertyHelper.MODIFIED_BY);
        assertNotNull(getter);
        assertNull("getMethod", getter.getMethod());
        assertNull("getMethodName", getter.getMethodName());
    }

}
// Copyright (c) Naked Objects Group Ltd.
